#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QLabel>
#include "teacher.h"
#include "student.h"

class Widget : public QWidget
{
    Q_OBJECT

private:
    Teacher *t1;
    Student *s1;
    int n;

private:
    QPushButton *btn,*btn2;
    QLabel *lable1,*lable2;

public slots:
    void handleHot();
    void print();
    void noMoney();

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();
};
#endif // WIDGET_H
